Bug 1008605 - Missing .jar files in the org.jboss.jts module
Summary: Missing .jar files in the org.jboss.jts module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wildfly
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-16 16:44 UTC by Juan Hernández
Modified: 2013-09-27 00:35 UTC (History)
1 user (show)

Fixed In Version: jboss-logging-tools-1.2.0-0.1.Beta1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-27 00:35:44 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1007687 0 unspecified CLOSED wildfly: incorrect symlink 2021-02-22 00:41:40 UTC

Internal Links: 1007687

Description Juan Hernández 2013-09-16 16:44:58 UTC
Description of problem:

The org.jboss.jts module is missing some .jar files. It should contain the following resources in the module.xml file:

  <resource-root path="arjuna.jar"/>
  <resource-root path="arjunacore.jar"/>
  <resource-root path="cdi.jar"/>
  <resource-root path="common.jar"/>
  <resource-root path="jacorb-idl.jar"/>
  <resource-root path="jdbc.jar"/>
  <resource-root path="jta.jar"/>
  <resource-root path="jtax.jar"/>
  <resource-root path="jts.jar"/>
  <resource-root path="narayana-jts-jacorb.jar"/>
  <resource-root path="orbportability.jar"/>
  <resource-root path="txoj.jar"/>

And the following links:

  arjunacore.jar -> /usr/share/java/narayana/arjunacore.jar
  arjuna.jar -> /usr/share/java/narayana/arjuna.jar
  cdi.jar -> /usr/share/java/narayana/cdi.jar
  common.jar -> /usr/share/java/narayana/common.jar
  jacorb-idl.jar -> /usr/share/java/narayana/jacorb-idl.jar
  jdbc.jar -> /usr/share/java/narayana/jdbc.jar
  jta.jar -> /usr/share/java/narayana/jta.jar
  jtax.jar -> /usr/share/java/narayana/jtax.jar
  jts.jar -> /usr/share/java/narayana/jts.jar
  narayana-jts-jacorb.jar -> /usr/share/java/narayana/narayana-jts-jacorb.jar
  orbportability.jar -> /usr/share/java/narayana/orbportability.jar
  txoj.jar -> /usr/share/java/narayana/txoj.jar

Version-Release number of selected component (if applicable):

  wildfly-8.0.0-0.6.Alpha3.fc21.noarch
  narayana-5.0.0-0.3.M3.fc21.noarch

Comment 1 Marek Goldmann 2013-09-17 11:23:32 UTC
Juan, where does the additional paths come from? I'm about submitting wildfly 8.0.0.Alpha4 as an update and I checked I have there only the narayana-jts-jacorb.jar link. The upstream binary also contains only this link (in case of upstream it is: narayana-jts-jacorb-5.0.0.M3.jar). I suspect this is not a bug, but please try again with the Alpha4, which will be submitted today. Stay tuned.

Comment 2 Juan Hernández 2013-09-17 12:05:50 UTC
Marek, the POM narayana-jts-jacorb uses the maven shade plugin to bundle all those .jar files into one large narayaana-jts-jacorb. Not sure how this actually works, but I guess that this is somehow disabled when building in Fedora, to disable the bundling. So in order to have the same classes the module.xml file has to list all the .jar files that would otherwise be bundled.

Comment 3 Marek Goldmann 2013-09-17 12:28:01 UTC
Juan,

The narayana-jts-jacorb.jar file does bundle the required files. We haven't disabled bundling for this particular case. IMO, the file should work as-is. Is there any evidence that this isn't working?

Comment 4 Juan Hernández 2013-09-17 12:37:03 UTC
With the original state of the module I get a class not found exception in server.log for the class com.arjuna.common.internal.util.propertyservice.BeanPopulator. The symlink used by the org.jboss.jts module points to /usr/share/java/narayana/arjuna.jar:

# rpm -qlv wildfly | grep org/jboss/jts/main
drwxr-xr-x    2 root    root                        0 Sep 10 11:02 /usr/share/wildfly/modules/system/layers/base/org/jboss/jts/main
-rw-r--r--    1 root    root                     2067 Sep 10 10:40 /usr/share/wildfly/modules/system/layers/base/org/jboss/jts/main/module.xml
lrwxrwxrwx    1 root    root                       35 Sep 10 11:02 /usr/share/wildfly/modules/system/layers/base/org/jboss/jts/main/narayana-jts-jacorb.jar -> /usr/share/java/narayana/arjuna.jar

And that arjuna.jar file doesn't contain that BeanPopulator class:

# jar tvf /usr/share/java/narayana/arjuna.jar | grep BeanPopulator

Initially I found it in arjunacore.jar, so I thought that several files were needed. However I see now that it is contained in /usr/share/java/narayana/narayana-jts-jacorb.jar:

# jar tvf /usr/share/java/narayana/narayana-jts-jacorb.jar | grep BeanPopulator
 11873 Tue Jan 01 00:00:00 CET 1980 com/arjuna/common/internal/util/propertyservice/BeanPopulator.class

So maybe the only required fix is to change the target of the symlink from arjuna.jar to narayana-jts-jacorb.jar.

Comment 5 Marek Goldmann 2013-09-17 12:40:23 UTC
Yes, this is already fixed and will be part of the Alpha4 update. See https://bugzilla.redhat.com/show_bug.cgi?id=1007687.

Comment 6 Juan Hernández 2013-09-17 12:42:16 UTC
Good. Feel free to close this bug.

Comment 7 Fedora Update System 2013-09-18 06:52:45 UTC
jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20

Comment 8 Fedora Update System 2013-09-18 17:46:14 UTC
Package jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-logging-tools-1.2.0-0.1.Beta1.fc20 jbossws-cxf-4.2.0-1.fc20 narayana-5.0.0-0.3.M3.fc20 weld-core-2.0.3-1.fc20 qpid-proton-0.5-3.fc20 xml-maven-plugin-1.0-9.fc20 jboss-modules-1.3.0-0.1.Beta3.fc20 jandex-1.1.0-1.fc20 geronimo-validation-1.1-10.fc20 aesh-0.33.7-1.fc20 jansi-1.11-3.fc20 jansi-native-1.5-1.fc20 undertow-1.0.0-0.4.Beta7.fc20 jboss-logmanager-1.5.1-1.fc20 jboss-parent-11-1.fc20 hornetq-2.4.0-0.1.Beta1.fc20 jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20 jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20 wildfly-8.0.0-0.9.Alpha4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17102/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-09-27 00:35:44 UTC
jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.